Name:          dexed
Version:       0.9.8
Release:       1mamba
Summary:       DX7 FM multi plaform/multi format plugin
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://asb2m10.github.io/dexed/
Source:        https://github.com/asb2m10/dexed.git/v%{version}/dexed-%{version}.tar.bz2
Source1:       dexed.desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
DX7 FM multi plaform/multi format plugin.

%debug_package

%prep
%setup -q

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#% cmake_install

install -D -m0755 build/Source/Dexed_artefacts/Standalone/Dexed %{buildroot}%{_bindir}/dexed
install -d -m0755 %{buildroot}%{_libdir}/vst3
cp -r build/Source/Dexed_artefacts/VST3/Dexed.vst3 %{buildroot}%{_libdir}/vst3
install -D -m0755 build/Source/Dexed_artefacts/CLAP/Dexed.clap %{buildroot}%{_libdir}/clap/Dexed.clap
install -D -m0644 Resources/ui/dexedIcon.png %{buildroot}%{_datadir}/pixmaps/dexed.png
install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/dexed.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/dexed
%{_libdir}/clap/Dexed.clap
%dir %{_libdir}/vst3/Dexed.vst3
%dir %{_libdir}/vst3/Dexed.vst3/Contents
%dir %{_libdir}/vst3/Dexed.vst3/Contents/Resources
%{_libdir}/vst3/Dexed.vst3/Contents/Resources/moduleinfo.json
%{_libdir}/vst3/Dexed.vst3/Contents/*-linux/Dexed.so
%{_datadir}/applications/dexed.desktop
%{_datadir}/pixmaps/dexed.png
%doc LICENSE

%changelog
* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 0.9.8-1mamba
- automatic version update by autodist

* Sat Aug 03 2024 Automatic Build System <autodist@openmamba.org> 0.9.7-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4hf1-1mamba
- package created using the webbuild interface
